<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobs
         */
        Schema::create('jobs', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->string('job_type', 255)->nullable();
            $table->string('location', 255)->nullable();
            $table->text('details')->nullable();
            $table->text('image')->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('published', ['Yes','No'])->nullable();
            $table->enum('status', ['draft','published','hidden','suspended','spam'])->nullable();
            $table->string('user_type', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobs');
    }
}
